Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Fri, 30 Apr 2021 19:37:11 +0200

>> If this is GTK can you try with `x-wait-for-event-timeout' set to say 10
 >> and tell whether that "flash" then takes ten seconds?  Here I've never
 >> seen that "everything is erased on the frame" - usually some garbage
 >> from elsewhere remains ...
 >
 > Changing x-wait-for-event-timeout from 0.1 to 10 has no effect
 > on x86_64-pc-linux-gnu, GTK+ Version 3.24.20, cairo version 1.16.0.
 >
 > I tried to add a message at the top of window--display-buffer,
 > and there are no more flashes when a message is displayed.
 >
 > Then tried to add `(sit-for 0)' to window--display-buffer,
 > and no flashes anymore too.  So it seems this is a Heisenbug.

Is the behavior in any way frame related - do you resize your frame, add
a tab bar, resize the tab bar?  I did not touch the Emacs window code.

martin